
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>USB抓包工具--Bus Hound的使用方法详解 / 憋错料</title>

    <meta name="description" content="USB抓包工具--Bus Hound的使用方法详解 概述 Bus Hound是一个超级软件总线协议分析器,用于捕捉来自设备的协议包和输入输出操作.该软件是由美国perisoft公司研制的一种专用于PC机各种总线数据包监视和控制的开发工具软件,其名&quot;hound&quot;的中文意思为&quot;猎犬&quot;,即指其能敏锐地感知到总线的丝毫变化. 本文档是对USB控制开发软件-Bus Hound的使用方法的总结.适用于正在学习USB总线驱动的技术工程师. USB捕捉数据的过程 选择要捕捉的设备 启动Bus Hound软件,将USB设备插 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">USB抓包工具--Bus Hound的使用方法详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<ol>
<li>
<h1>概述</h1>
<p>Bus Hound是一个超级软件总线协议分析器，用于捕捉来自设备的协议包和输入输出操作。该软件是由美国perisoft公司研制的一种专用于PC机各种总线数据包监视和控制的开发工具软件，其名"hound"的中文意思为"猎犬"，即指其能敏锐地感知到总线的丝毫变化。</p>
<p>本文档是对USB控制开发软件—Bus Hound的使用方法的总结。适用于正在学习USB总线驱动的技术工程师。</li>
<li>
<h1>USB捕捉数据的过程</h1>
</li>
<li>
<h2>选择要捕捉的设备</h2>
<p>启动Bus Hound软件，将USB设备插入电脑。如图 21所示，进入"Devices"目录，在"Devices"内选择要监控的设备。例如：我的设备是一个U盘，则设备为USB大容量存储设备，点击"USB大容量存储设备"图标，可以在下面的"Properties"图框内看到设备的总线类型、设备的电源以及各个端点的功能等信息。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA2MTYxMTM3MDA5NjY=.jpg" /></p>
<p>图 21 &nbsp;"Devices"目录</li>
<li>
<h2>设置捕捉的内容</h2>
<p>如图 22所示，"Capture Capacity"是捕捉数据的容量。"Max Record Length"是在传输时显示的最大字节数，将"Max Record Length"设置为512可以看到完整的描述符信息。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA2MTYxMTM3MDE0ODY=.jpg" /></p>
<p>图 22 &nbsp;"Setting"目录</p>
<p>在"Phases to Capture"里面与USB相关的选项，如图 23所示。查看USB数据传输需要把它们都选中。</p>
<p>在"Coloumn to Display"里面，所有选项全部选中。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA2MTYxMTM3MDI5MzQ=.jpg" /></p>
<p>图 23 &nbsp;USB相关选项</li>
<li>
<h2>开始捕捉数据</h2>
<p>如图 24所示，在"Capture"目录中，点击"Run"按钮，开始捕捉数据。在搜索框中输入要搜索的内容，点击旁边的上下搜索箭头，可搜索数据。例如：在搜索框输入GET DESCRIPTOR，点击Find旁边的上下搜索箭头，可查询包含GET DESCRIPTOR的数据。点击"Stop"按钮，可以停止捕捉数据，再按"Run"可以清除所有数据并重新开始捕捉数据。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNzA2MTYxMTM3MDMyMzY=.jpg" /></p>
<p>图 24 &nbsp;"Capture"目录</li>
<li>
<h1>免责声明</h1>
<p>内部交流文档，对USB抓包工具—Bus Hound的使用方法的总结，若发现相关错误或者建议，请及时联系文档创建者进行修订和更新。</li>
</ol>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 23:32:12 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/usb-bus-hound-%e6%8a%93%e5%8c%85%e5%b7%a5%e5%85%b7/" title="usb  bus-hound  抓包工具">usb  bus-hound  抓包工具</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>USB抓包工具--Bus Hound的使用方法详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OzR9o0.html" rel="bookmark">USB抓包工具Bus Hound</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/********************************************************************** * USB抓包工具Bus Hound * 说明: * 之前颖奇有说过这个工具,不过貌似快忘记了,还是记录一下,工具有时候 * 用到的时候才发现有用. * * 2018-5-31 深圳 宝安西乡 曾剑锋 *********************************************************************/ 一.参考文档			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02gWKp3.html" rel="bookmark">charles抓包工具的中文乱码解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				charles是 MAC上最好用的抓包工具.charles 网上的参考文档已经很多,我就不再赘述啦.只是说说我在安装过程遇到的问题和解决方法,仅供参考. charles抓包的数据中的中文内容显示乱码,网上很多是通过修改 info.plist 文件解决的,点击这里查看解决方法:https://www.v2ex.com/t/255040 我在尝试以上方法后依然没有解决,翻遍 google, 前人之鉴的方法还是很多,只是茫茫网海中找到的也是很不容易的,这个方法大家可以参考下咯~~~ 1. 打开 cha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lr9Lp4.html" rel="bookmark">抓包工具Fiddler 4的使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				软件全称:Telerik Fiddler Web Debuger 官方网站:http://www.telerik.com/fiddler 下载地址:https://www.telerik.com/docs/default-source/fiddler/fiddlersetup.exe?sfvrsn=4 教程参考:https://kb.cnblogs.com/page/130367/ 几个常用命令: 1.启动后点击上方工具栏里有个IE图标的Browse按钮(可以选择Chrome或者Firefox)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R9yXPM.html" rel="bookmark">工具&period;USB抓包软件（Win）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.分享三个USB抓包软件---Bus Hound,USBlyzer 和-USBTrace - CSDN博客.html(http://blog.csdn.net/chentengkui/article/details/72566859) 原贴:分享三个USB抓包软件---Bus Hound,USBlyzer 和-USBTrace - USB - 安富莱电子论坛 - Powered by Discuz!.html(http://forum.armfly.com/forum.php?mod=view			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX1KwG0.html" rel="bookmark">iOS系统设备网络抓包工具介绍&colon;越狱和不越狱的办法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对终端进行抓包是客户端测试中的一种重要手段.本文主要介绍了ios设备(iphone.ipad和ipodtouch)的几种常用的抓包方法. 一.准备条件 需要进行抓包的设备必须经过root,俗称越狱,主要利用redsn0w和各种iOSFirmwares进行,如越狱不用更换固件版本,只需使用 redsn0w安装Cydia即可,网上有详细教程,此处省略.安装完毕,在3G或WiFi环境下启动Cydia,确认身份为“开发者”,如下图. 通过Cydia源,用户可以下载和安装比appstore更高权限的软件,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/yMXkV4J.html" rel="bookmark">Python&plus;Requests接口测试教程（1）：Fiddler抓包工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本书涵盖内容:fiddler.http协议.json.requests+unittest+报告.bs4.数据相关(mysql/oracle/logging)等内容.刚买须知:本书是针对零基础入门接口测试和python+requests自动化的,首先本书确实写的比较基础,对基础内容也写的很详细,所以大神绕道. 为什么要先学fiddler? 学习接口测试必学http协议,如果直接先讲协议,我估计小伙伴们更懵,为了更好的理解协议,先从抓包开始.结合抓包工具讲http协议更容易学一些. 1.1 抓fir			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3O8wX4.html" rel="bookmark">socket和抓包工具wireshark</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学习Python代码中的socket和抓包工具wireshark,故又将socket等概念又学习了一遍,温故而知新: Python代码如下: server: #!/usr/bin/python # -*- coding: UTF-8 -*- # 文件名:server.py import socket # 导入 socket 模块 s = socket.socket() # 创建 socket 对象 host = socket.gethostname() # 获取本地主机名 port = 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/pMPYXB0.html" rel="bookmark">fiddler 抓包工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				fiddler是位于客户端和服务器端的HTTP代理,也是目前最常用的http抓包工具之一. 可以用它来录制脚本.(PC端.移动端皆可) 例如:火狐 -- 浏览器端设置 1.点击选项键 2.选择 &quot;高级&quot;  -- &quot;网络&quot; -- 设置 (配置Firefox如何连接至国际互联网)即 配置代理 3.手动配置代理  --  HTT代理 localhost -- 8888 -- 确定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/QM6o7N0.html" rel="bookmark">Fiddler抓包工具使用入门&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,什么是Fiddler Fiddler是位于客户端和服务器端的HTTP代理, 它能够记录客户端和服务器之间的所有 HTTP请求,可以针对特定的HTTP请求,分析请求数据.设置断点.调试web应用.修改请求的数据,甚至可以修改服务器返回的数据,是 web调试的利器,也是目前最常用的http抓包工具之一 . 客户端的所有请求都要先经过Fiddler,然后转发到相应的服务器,反之,服务器端的所有响应,也都会先经过 Fiddler然后发送到客户端,基于这个原因,Fiddler支持所有可以设置http代			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/gMWBQa4.html" rel="bookmark" class="title">Course Schedule II</a>
					<div>
						There are a total of n courses you have to take, labeled from 0 to n - 1. Some courses may have prer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j35LQK0.html" rel="bookmark" class="title">目标？我定好了！&lpar;我的软件工程课目标&rpar;</a>
					<div>
						2016-03-02 22:28     by jackchua &quot;目标&quot;的困惑 端坐一个小时,竟不知道如何下手写这篇博文.一是自己对文字写作总是抱着抵触,练习甚少,不知道如何用好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3q5PoW3.html" rel="bookmark" class="title">Android Xutils 框架</a>
					<div>
						Android Xutils 框架 (转) 目录(?)[-] xUtils简介 目前xUtils主要有四大模块 使用xUtils快速开发框架需要有以下权限 混淆时注意事项 DbUtils使用方法 Vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jyj8eM.html" rel="bookmark" class="title">集群</a>
					<div>
						heartbeat-2.1.3 Installing Heartbeat. # cd heartbeat # rpm -ivh heartbeat*.rpm # rpm -ivh --nodeps h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02mZkEM.html" rel="bookmark" class="title">根目录下主要目录及其作用</a>
					<div>
						/root                      (root的home目录) /home/username             (其它普通用户的home目录) /bin,/usr/bin, / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JkA7PM.html" rel="bookmark" class="title">第26课 类的静态成员函数</a>
					<div>
						1. 静态成员函数 (1)静态成员函数是类中特殊的成员函数,属于整个类所有 (2)可以通过类名直接访问公有静态成员函数 (3)可以通过对象名访问公有静态成员函数 (4)静态成员函数的定义:直接通过st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8Vnq4.html" rel="bookmark" class="title">大流量网站优化</a>
					<div>
						如何优化大数据,大流量的网站 1.服务器环境的选择,建议采用Linux服务器 2.页面纯静态化,不要使用伪静态,大家都知道如果是非静态页面,都需要服务器端利用一定的CPU资源进行编译之后才能显示出来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kGokj0.html" rel="bookmark" class="title">C和指针 第十章 结构和联合 习题</a>
					<div>
						1. 记账信息结构联合 typedef struct { unsigned int areaNum; unsigned int transNum; unsigned int station; } ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQZRO4.html" rel="bookmark" class="title">浅析Windows系统调用&mdash;&mdash;2种切换到内核模式的方法</a>
					<div>
						首先总结2种切换到内核模式方法的各自流程: 内存法(中断法): (用户模式)WriteFile() -&gt; ntdll!NtWriteFile() -&gt; ntdll!KiIntSystemC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkx2g4.html" rel="bookmark" class="title">Android自定义可标记日历</a>
					<div>
						&quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jnYXA0.html" rel="bookmark" class="title">好吧，我承认我是爱瞎折腾----利用YDUI改变页面UI</a>
					<div>
						上周恒丰代付接口上线投产后,我做了一个“恒丰代付检查工具”,用途是,当线上调用恒丰代付出现了问题订单时,可以在这个工具页里做相应的弥补. 我项目里其他一些工具页的UI用的是YDUI.YDUI号称是“一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLbozM.html" rel="bookmark" class="title">FEC之我见三</a>
					<div>
						继续上文讲解: 3) 标准的RTP头结构如下所示: 其中第一个字节中的x标志位是否扩展了RTP头,RTP协议允许用户自定义的扩展,扩展的字段紧挨上述RTP固定头.RTP扩展投中承载如下信息: 1).当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEvKQQ0.html" rel="bookmark" class="title">【LeetCode】100&period; Same Tree-相同树</a>
					<div>
						一.描述: 二.思路: 属于二叉树类型,使用递归解决: 返回false:一棵树为空,且另一棵树不为空: 返回true两种情况:1两棵树均为空:2两棵树均不为空,且对应位置的结点完全相同: 递归调用,两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dNDJr4.html" rel="bookmark" class="title">ubuntu12&period;04下安装pptp&lowbar;vpn服务器</a>
					<div>
						1.下载安装apt-get install pptpd 2.配置/etc/pptpd.confvim /etc/pptpd.conf添加下面两行(在配置文件的最后取消注释修改IP即可)localip  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7GVa4.html" rel="bookmark" class="title">linux系统下放入光盘并访问光盘数据</a>
					<div>
						实验01:访问光盘数据 实验目标 实现通过命令在linux上安装光盘并且访问里面的数据 实验步骤 一.环境准备 1. 放入RHEL5.9iso,打开电源 2．进入linux的主机,查看liunx系统桌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7Kob4.html" rel="bookmark" class="title">Android开源源码推荐（一）</a>
					<div>
						1.Android-ViewPagerIndicator http://www.akaifa.com/code/86/android-viewpagerindicator 实现各种样式的滑动视图(Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7QaE0.html" rel="bookmark" class="title">hibernate组件映射</a>
					<div>
						组件映射,一个类是另外一个类的一部分,比如学生证类是学生类的一部分,在表里的关系,学生证信息的学生表信息的一部分,此时就需要用组件映射, 本例中,wife是husband的一部分. Wife类: pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wP1P0.html" rel="bookmark" class="title">&lbrack;Selenium&rsqb;Selenium 1</a>
					<div>
						1. 工作原理 1.1 Selenium 1组件 Selenium 1是Selenium中最主要的第一代测试工具,它能支持几乎所有的浏览器的测试,缺点在于受到JavaScript安全模型导致的限制,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLvkg4.html" rel="bookmark" class="title">使用HugePages优化内存性能</a>
					<div>
						版权声明:转载时请以超链接形式标明文章原始出处和作者信息及本声明 http://blog.csdn.net/wenshuangzhu/article/details/44095565 1. 引子 系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjVGyM.html" rel="bookmark" class="title">移植最新内核3&period;4&period;2</a>
					<div>
						一. 内核启动流程,据此配置内核(机器ID)1.1 修改Makefile1.2 选择默认配置 : make s3c2410_defconfig1.3 make uImage 步骤1:在UBOOT里:  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
